Class | Chef::Provider::Package::Portage
In: | lib/chef/provider/package/portage.rb
Parent: | Chef::Provider::Package

### Methods

candidate_version install_package load_current_resource parse_emerge purge_package remove_package upgrade_package

### Constants

PACKAGE_NAME_PATTERN | = | %r{(([^/]+)/)?([^/]+)}

### Public Instance methods

candidate_version()
install_package(name, version)
load_current_resource()
parse_emerge(package, txt)
purge_package(name, version)
remove_package(name, version)
upgrade_package(name, version)

[Validate]